function drawfpicb(imageHndl,picnum,SliderVHndl,akvalmat,ustate)
%drawfpicb: Draw the picnumth picture and adjust the value display sliders
%
%                            drawfpicb(imageHndl,picnum,SliderVHndl,akvalmat)
%
%          Where
%
%          imageHndl: Image Handle
%          picnum: Number of the picture to draw 
%          SliderVHndl: Vector of the value Display Slider Handles
%          akvalmat: Is the actual kansei value matrix
%          ustate: User Type State
%

% Fuzzy Kansei Systems (furniture selection)
% By Szilveszter Kovacs
% e-mail: szkszilv@gold.uni-miskolc.hu
%   Copyright (c) by Szilveszter Kovacs

if nargin~=5,error('Invalid number of arguments!');end

fpic = imread(strcat('f',int2str(picnum),'.jpg'));  % Read Picture of the furniture

[pich,picw,x] = size(fpic);  % height, width of pictures

axesHndl = get(imageHndl,'Parent');  % get the parent axes

set(axesHndl,...
  'XLim',[0 picw], ...
  'XLimMode','manual', ...
  'YLim',[0 pich], ...
  'YLimMode','manual');  % Adjust the axes

opic = get(imageHndl,'UserData');  % The previous picture

if isempty(opic)
  set(imageHndl,'CData',fpic(:,:,:));  % Draw the picture
  set(imageHndl,'UserData',picnum);  % Set the number of the picture
else
  if opic~=picnum  % the picuture is changed
    set(imageHndl,'CData',fpic(:,:,:));  % Draw the picture
    set(imageHndl,'UserData',picnum);  % Set the number of the picture
  end  % if
end  % if

kvalnum = size(akvalmat,2);  % number of kansei values

for i=1 : 1 : kvalnum  % Adjusting the Sliders
  set(SliderVHndl(i),'Value',akvalmat(picnum,i));
end;  % for

utypenum = size(ustate,2);  % number of the user types

for i=1 : 1 : utypenum  % Adjusting the User State values sliders
  set(SliderVHndl(kvalnum+i),'Value',ustate(i));
end;  % for

