function [kvalmat]=gkansvm
%gkansvm: Generate the multi usertype kansei value matrix
%
%                            [kvalmat]=gkansvm
%
%          Where
%
%          kvalmat: Is the kansei value matrix, where 
%                  the 1st dimension characterises the furnitures
%                  the 2nd dimension characterises the kansei values
%                  the 3nd dimension characterises the user type
%

% Fuzzy Kansei Systems (furniture selection)
% By Szilveszter Kovacs
% e-mail: szkszilv@gold.uni-miskolc.hu
%   Copyright (c) by Szilveszter Kovacs

if nargin ~= 0,error('Invalid number of arguments!');end

% Init the Kansei parameters

nkset = kanspar(0);  % The number of kansei parameter sets

for i=1 : 1 : nkset  % Calculate the Kansei values
   kvalmat(:,:,i) = gkansval(kanspar(i));  % (FurnitureNumber,KanseiValue,UserTypeNum)
end  % for
