function [fdist,findex,fi,ukval]=slagui...
  (SliderAHndl,SliderAVHndl,imageHndl,CheckHndl,ButtonHndl,...
   akvalmat,ukval,fdist,ofindex,ofi,slnum)
%slagui: Working Picture Sliders GUI
%
%          function [findex,fi,akvalmat,ukval]=slagui...
%            (SliderAHndl,SliderAVHndl,imageHndl,CheckHndl,akvalmat,ukval,ofindex,ofi,slnum)
%
%          Where
%
%          SliderAHndl: Vector of the Working Picture Slider Handles
%          SliderAVHndl: Vector of the Working Picture value Display Slider Handles
%          imageHndl: Image Handle
%          CheckHndl: Vector of the Checkbox Handles
%          ButtonHndl: Vector of the Button Handles
%          akvalmat: Is the actual kansei value matrix
%          ukval: Vector of the user kansei values
%          fdist: The vector of normalised furniture distances 
%          ofindef: Previous furniture index vector (first is the best fitting)
%          ofi: Previous furniture index pointer
%          slnum: Number of the slider activated 
%
%          fdist: The vector of normalised furniture distances 
%          findex: Furniture index vector (first is the best fitting)
%          fi: Furniture index pointer
%          ukval: Vector of the user kansei values
%

% Fuzzy Kansei Systems (furniture selection)
% By Szilveszter Kovacs
% e-mail: szkszilv@gold.uni-miskolc.hu
%   Copyright (c) by Szilveszter Kovacs

if nargin~=11,error('Invalid number of arguments!');end

ukval(slnum) = get(SliderAHndl(slnum),'Value');  % get the new user value

[fdist,findex]=kansdist(akvalmat,ukval);  % new furniture kansei distances and index

if findex==ofindex  % there are no changes
  fi = ofi;  % do nothing
else
  fi = 1;  % reset pointer
  set(ButtonHndl(5),'Enable','off');  % disable the Previous button
  set(ButtonHndl(4),'Enable','on');  % enable the Next button
end  % if

drawfpica(imageHndl,fdist,findex,fi,SliderAVHndl,akvalmat);  % Draw the new closest picture

