function [fdist,findex,fi,akvalmat,ustate]=slbusgui...
  (ButtonHndl,SliderAVHndl,SliderBVHndl,imageAHndl,imageBHndl,...
   akvalmat,kvalmat,ukval,fdist,findex,fi,ustate,slnum)
%slbusgui: Editing Picture User State Value Sliders
%
%          function [fdist,findex,fi,akvalmat,ustate]=slbusgui...
%           (ButtonHndl,SliderAVHndl,SliderBVHndl,...
%            imageAHndl,imageBHndl,akvalmat,kvalmat,ukval,fdist,findex,fi,ustate,slnum)
%
%          Where
%
%          ButtonHndl: Vector of the Button Handles
%          SliderAVHndl: Vector of the Working Picture value Display Slider Handles
%          SliderBVHndl: Vector of the Editing Picture value Display Slider Handles
%          imageAHndl: Working Image Handle
%          imageBHndl: Editing Image Handle
%          akvalmat: Is the actual kansei value matrix
%          kvalmat: Is the kansei value matrix, where 
%                  the 1st dimension characterises the furnitures
%                  the 2nd dimension characterises the kansei values
%                  the 3nd dimension characterises the user type
%          ukval: Vector of the user kansei values
%          fdist: The vector of normalised furniture distances 
%          findex: Furniture index vector (first is the best fitting)
%          fi: Furniture index pointer
%          ustate: User Type State
%          slnum: Number of the slider activated 
%

% Fuzzy Kansei Systems (furniture selection)
% By Szilveszter Kovacs
% e-mail: szkszilv@gold.uni-miskolc.hu
%   Copyright (c) by Szilveszter Kovacs

if nargin~=13,error('Invalid number of arguments!');end

kvalnum = size(kvalmat,2);  % number of kansei values
utypenum = size(kvalmat,3);  % number of the user types

fnum = get(imageBHndl,'UserData');  % Editing picture number

ustate(slnum) = get(SliderBVHndl(slnum+kvalnum),'Value');;  % get the new ustate
akvalmat = gakansvl(kvalmat,ustate);  % recalc the actual kansei values
drawfpicb(imageBHndl,get(imageBHndl,'UserData'),...
  SliderBVHndl,akvalmat,ustate);  % adjust the user type
ofindex = findex;  % save the previous value
ofi = fi;
[fdist,findex]=kansdist(akvalmat,ukval);  % new furniture kansei distances and index
if findex==ofindex  % there are no changes
  fi = ofi;  % do nothing
else
  fi = 1;  % reset pointer
  set(ButtonHndl(5),'Enable','off');  % disable the Previous button
  set(ButtonHndl(4),'Enable','on');  % enable the Next button
end  % if
drawfpica(imageAHndl,fdist,findex,fi,SliderAVHndl,akvalmat);  % Draw the new picture

